/**
 * 
 */
package jp.co.cybec.laxide.layout;

import org.eclipse.draw2d.geometry.Point;
import org.eclipse.draw2d.geometry.PointList;

/**
 * ヘッダー付きの２段組レイアウト
 * 
 * @author tokumaru
 * 
 */
public class LetsAjax2ColmunHeaderLayoutPoints extends AbstractLayoutPoints {
	/** header領域のスタートポイント */
	private Point headerStartPoint = null;

	/** header領域のスタートポイント */
	private Point headerEndPoint = null;

	/** sideleft領域のスタートポイント */
	private Point sideleftStartPoint = null;

	/** sideleft領域のエンドポイント */
	private Point sideleftEndPoint = null;

	/** コンテンツ領域のスタートポイント */
	private Point contentsStartPoint = null;

	/** コンテンツ領域のエンドポイント */
	private Point contentsEndPoint = null;

	/** IDE上にレイアウトを描画するためのポイントリスト */
	private PointList pointlist = null;

	/**
	 * コンストラクタ。 この２段組のレイアウトを描画するために必要となる座標の初期値の設定を行います。
	 */
	public LetsAjax2ColmunHeaderLayoutPoints() {
		headerStartPoint = new Point(0, 0);
		headerEndPoint = new Point(500, 100);
		sideleftStartPoint = new Point(0, 100);
		sideleftEndPoint = new Point(150, 500);
		contentsStartPoint = new Point(150, 100);
		contentsEndPoint = new Point(500, 500);

		// 一筆書きのイメージ
		pointlist = new PointList();
		pointlist.addPoint(new Point(10, 110));
		pointlist.addPoint(new Point(10, 10));
		pointlist.addPoint(new Point(510, 10));
		pointlist.addPoint(new Point(510, 110));
		pointlist.addPoint(new Point(10, 110));
		pointlist.addPoint(new Point(10, 510));
		pointlist.addPoint(new Point(160, 510));
		pointlist.addPoint(new Point(160, 110));
		pointlist.addPoint(new Point(510, 110));
		pointlist.addPoint(new Point(510, 510));
		pointlist.addPoint(new Point(160, 510));
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getContentsEndPoint()
	 */
	@Override
	public Point getContentsEndPoint() {
		return contentsEndPoint;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getContentsStartPoint()
	 */
	@Override
	public Point getContentsStartPoint() {
		return contentsStartPoint;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getFooterEndPoint()
	 */
	@Override
	public Point getFooterEndPoint() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getFooterStartPoint()
	 */
	@Override
	public Point getFooterStartPoint() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getHeaderEndPoint()
	 */
	@Override
	public Point getHeaderEndPoint() {
		return headerEndPoint;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getHeaderStartPoint()
	 */
	@Override
	public Point getHeaderStartPoint() {
		return headerStartPoint;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getPointList()
	 */
	@Override
	public PointList getPointList() {
		return pointlist;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getSideLeftEndPoint()
	 */
	@Override
	public Point getSideLeftEndPoint() {
		return sideleftEndPoint;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getSideLeftStartPoint()
	 */
	@Override
	public Point getSideLeftStartPoint() {
		return sideleftStartPoint;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getSideRightEndPoint()
	 */
	@Override
	public Point getSideRightEndPoint() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jp.co.cybec.laxide.layout.AbstractLayoutPoints#getSideRightStartPoint()
	 */
	@Override
	public Point getSideRightStartPoint() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

}
